using GLib;


[DBus(name = "org.mobian_project.CallAudio", timeout = 120000)]
public interface CallAudioD : GLib.Object {

	[DBus(name = "SelectMode")]
	public abstract bool select_mode(uint mode) throws DBusError, IOError;

	[DBus(name = "AudioMode")]
	public abstract uint audio_mode { get; }

	[DBus(name = "EnableSpeaker")]
	public abstract bool enable_speaker(bool enable) throws DBusError, IOError;

	[DBus(name = "SpeakerState")]
	public abstract uint speaker_state { get; }

	[DBus(name = "MuteMic")]
	public abstract bool mute_mic(bool mute) throws DBusError, IOError;

	[DBus(name = "MicState")]
	public abstract uint mic_state { get; }
}