using GLib;

[DBus(name = "org.postmarketos.q6meowd", timeout = 120000)]
public interface Q6MeowD : GLib.Object {

	[DBus(name = "StartStream")]
	public abstract bool start_stream() throws DBusError, IOError;

	[DBus(name = "StopStream")]
	public abstract bool stop_stream() throws DBusError, IOError;

	[DBus(name = "State")]
	public abstract bool state { get; }

	[DBus(name = "Device")]
	public abstract string device { owned get; }
}